﻿using System;

using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;

namespace App3
{
    [Activity(Label = "App3", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            // Get our button from the layout resource,
            // and attach an event to it
            Button btnAbsolute = FindViewById<Button>(Resource.Id.AbsoluteButton);
            btnAbsolute.Click += new EventHandler(btnAbsolute_Click);
            Button btnLinear = FindViewById<Button>(Resource.Id.LinearVerticalButton);
            btnLinear.Click += new EventHandler(btnLinearVertical_Click);
            Button btnLinearHorizontal = FindViewById<Button>(Resource.Id.LinearHorizontalButton);
            btnLinearHorizontal.Click += new EventHandler(btnLinearHorizontal_Click);
            Button btnRelative = FindViewById<Button>(Resource.Id.RelativeButton);
            btnRelative.Click += new EventHandler(btnRelative_Click);
            Button btnTable = FindViewById<Button>(Resource.Id.TableButton);
            btnTable.Click += new EventHandler(btnTable_Click);

        }

        void btnAbsolute_Click(object sender, EventArgs e)
        {
            Intent layOut = new Intent();
            layOut.SetClass(this, typeof(AbsoluteActivity));
            StartActivity(layOut);
        }

        void btnLinearVertical_Click(object sender, EventArgs e)
        {
            Intent layOut = new Intent();
            layOut.SetClass(this, typeof(LinearVerticalActivity));
            StartActivity(layOut);
        }

        void btnLinearHorizontal_Click(object sender, EventArgs e)
        {
            Intent layOut = new Intent();
            layOut.SetClass(this, typeof(LinearHorizontalActivity));
            StartActivity(layOut);
        }

        void btnRelative_Click(object sender, EventArgs e)
        {
            Intent layOut = new Intent();
            layOut.SetClass(this, typeof(RelativeActivity));
            StartActivity(layOut);
        }

        void btnTable_Click(object sender, EventArgs e)
        {
            Intent layOut = new Intent();
            layOut.SetClass(this, typeof(TableActivity));
            StartActivity(layOut);
        }
    }
}

