﻿using System;
using System.Text;
using Android.App;
using Android.Content;
using Android.Widget;
using Android.OS;
using Java.IO;

namespace AppLifeCycle
{
    [Activity(Label = "AppLifeCycle", MainLauncher = true, Icon = "@drawable/icon")]
    public class Activity1 : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            string intentString;
            bool intentBool;
            string extraString;
            bool extraBool;
            string privateString;

            if (bundle != null)
            {
                //if the activity is being resumed...
                intentString = bundle.GetString("myString");
                intentBool = bundle.GetBoolean("myBool");
            }

            //Check for the values in the Intent Extras...
            extraString = Intent.GetStringExtra("myString");
            extraBool = Intent.GetBooleanExtra("myBool", false);


            try
            {
                byte[] myData = new byte[100];
                var file = OpenFileInput("MyData");
                file.Read(myData, 0, 100);
                var enc = new ASCIIEncoding();
                privateString = enc.GetString(myData);
            }
            catch (Exception ex)
            {
                
            }
            

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            // Get our button from the layout resource,
            // and attach an event to it
            Button button = FindViewById<Button>(Resource.Id.MyButton);

            button.Click += delegate
                {
                    var secondIntent = new Intent(this, typeof(Activity2));
                    StartActivity(secondIntent);
                };
        }

        protected override void OnPause()
        {
            Intent.PutExtra("myString", "Hello Xamarin.Android OnPause");
            Intent.PutExtra("myBool", true);

            string myData = "hello world!";

            var file = OpenFileOutput("MyData", FileCreationMode.Private);
            var enc = new ASCIIEncoding();
            file.Write(enc.GetBytes(myData), 0, myData.Length);

            base.OnPause();
        }

        protected override void OnSaveInstanceState(Bundle outState)
        {
            outState.PutString("myString", "Hello Xamarin.Android OnSaveInstanceState");
            outState.PutBoolean("myBool", true);

            base.OnSaveInstanceState(outState);
        }
    }
}

